
Figure - Bug #116548
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】长按亮度调节图标，进入亮度调节条后松手，调节条闪烁
2023-02-24 17:39 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-24

Priority: Normal Due date: 2023-03-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Reproducibility: Every time Fixed Version: 2023-02-28

Test Type: ST Root cause: 长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时候触发了点击事件再弹出一个亮度条引起闪烁

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开游戏模式

2、进入游戏页面

3、打开工具箱

4、长按亮度调节图标

5、松手

【预期结果】

5、停留在亮度调节页面

【实际结果】

2、调节条有闪烁现象

【复现率】

3/3

History

#1 - 2023-02-27 09:35 - CD FW-程天颖

- Status changed from New to ASSIGNED

#2 - 2023-02-27 19:26 - CD FW-程天颖

- Root cause set to 长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时候触发了点击事件再弹出一个亮度条引起闪烁

解决方式：

给亮度icon的点击事件添加判断，如果亮度条刚消失，立马触发了点击事件则不进行操作

■ Current conclusion

代码已提交

■ My analysis

长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时候触发了点击事件再弹出一个亮度条引起闪烁

解决方式：
给亮度icon的点击事件添加判断，如果亮度条刚消失，立马触发了点击事件则不进行操作

■ Next action

代码入库

#3 - 2023-02-27 19:41 - CD FW-程天颖

根据ux设计,亮度条有长按快捷设置功能，所以长按后亮度条应该消失，预期结果不应该是停留在亮度调节页面

#4 - 2023-02-28 10:18 - CD FW-程天颖

- Due date set to 2023-03-31

#5 - 2023-02-28 10:22 - CD FW-程天颖

- Due date changed from 2023-03-31 to 2023-03-03

- Root cause changed from 长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时候触发了点击事件再弹出一个亮度条引起闪烁

解决方式：

给亮度icon的点击事件添加判断，如果亮度条刚消失，立马触发了点击事件则不进行操作 to 长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时

候触发了点击事件再弹出一个亮度条引起闪烁

#6 - 2023-02-28 14:37 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#7 - 2023-02-28 20:03 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184606 general/platform/vendor/thundercom

m/apps/GameMode

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:GameMode:Fixed Brightness seekbar flashingTC-RID: 1201-0204809IssueID: TS-R-BUG-116548Change-Id: I22ebf2a4070e6b3a36542dc19a900fa7d7df01a4

#8 - 2023-02-28 20:08 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-28

■ Current conclusion

代码已入库

■ My analysis

长按亮度icon会弹出亮度条，松开亮度条会消失，消失的时候触发了点击事件再弹出一个亮度条引起闪烁

解决方式：

消耗掉点击事件

■ Submit Url

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/GameMode/+/184606
#9 - 2023-03-02 19:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

3.2

验证通过

#10 - 2023-03-02 19:44 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314
